1 Reply Latest reply on Aug 14, 2007 10:54 AM by Maykell Frometa

    The type Iterator is not generic; it cannot be parameterized

    Maykell Frometa Newbie

      Hi, i'm getting a bit problem, i was using ExadelStudio Pro 3.5.1, but i migrated to 4.0.1 and the applications that before worked well, sudendly began to raise inexplicable and extrange exceptions. I think i found a clue to discover the mistery, i deployed the same .war in the ExadelStudio Pro 3.5.1 tomcat and in the ExadelStudio Pro 4.0.1(and 4.0.4) tomcat in the first one everythink work fine but in the second i get the error i refered to.
      The ExadelStudio Pro 3.5.1 use Tomcat 5.0 and ExadelStudio Pro 4.0.1 and 4.0.4 use Tomcat 5.5

      ?There are some problem with the new versions of Tomcat?
      ?Something related to the use of an old version of the JVM by default?

        • 1. Re: The type Iterator is not generic; it cannot be parameter
          Maykell Frometa Newbie

          Hi, i think i found a clue to discover the mistery, i deployed the same .war in the ExadelStudio Pro 3.5.1 tomcat and in the ExadelStudio Pro 4.0.1(and 4.0.4) tomcat in the first one everythink work fine but in the second i get the error i described above.
          The ExadelStudio Pro 3.5.1 use Tomcat 5.0 and ExadelStudio Pro 4.0.1 and 4.0.4 use Tomcat 5.5

          There are some problem with the new versions of Tomcat?
          Something related to the use of an old version of the JVM by default?
          Something related to mix code compiled with an old version of jdk and code compiled with the jdk1.5?

          It seem to me like Tomcat 5.5 use a jdk version before to 1.5, although when i install it i set it the path to the jdk 1.5. I use Windows XP.